
   RekSFV, purpuse: recursive file check and creation ...
   (c) TryAndError, Inc. / AreYouParanoid? :)  2006 - 2020

 > changelog.nfo
 -------------------------------------------------------------------------------

  Latest Changes, Legend:  * bug(s) fixed
                           + features / functions added
                           - features / functions removed
                           # requested by user(s)
                           ! special information, which doesn't fit to +/-/*/#
                           > extra hint for an entry
                           [ official releasedate of the version

  v1.8.2. [ 23.01.2020 ]
          * skipping some progress calculations, so a little bit faster now.
          * after changing default path all checksum files except sfv were
            corrupted.
            - reported by Rainer.
          # (Re)check a selection of files within current entry.
            - requested by Göran.
          # folders can be skipped, too (previous versions did only allow files
            to be skipped.
            - requested by John.


  v1.8.1: [ 23.02.2019 ]
          * copy filename function from progress' context menu didn't work.
          * single instance didn't react on next request (e.g. from explorer).
          # = comparison now works for strings, too (was for nums only until
            now).
          # possibility to move a folder with bad/missing files to recycle bin
            directly after checking.
          # treating non conform lines added by other checkers (e.g. 'G/----')
            as comment lines.
            - all issues requested by Göran.
          + added some shortcuts.
          # possibility to check a folder against clipboard.
            - requested by kostas.
          + some popup menu entries got their icon and therefore a button now.


  v1.8.0: [ 23.08.2018 ]
          * scrolling was not working since we've switched to embarcadero XE2.
            - reported by HooPER.
          # new user setting  to skip folder  or complete progress  when a file-
            check has failed or file was missing.
            - requested by Willard.
          * file  rename/deletion  when  a  check has  failed  was  not  working
            correctly.
          # cascaded explorer  context menu  for  all the  checksumtypes instead
            of a single one.  this depends on  your os, win7 or  newer will show
            this, on older windows versions it'll be one entry.
            - requested by Kostas.
          # form's caption will contain progress even if paused.
            - requested by Göran.
          * autoclose did ignore cancelling of the progress.
          * speed of calculation was not translated in log-tabsheet.
          * 0 byte files were falsely reported when the option was turned off.
            - both reported by kopejkin.


  v1.7.9: [ 23.06.2018 ]
          * long filenames were  not correctly detected  when trying  not to add
            zero byte files, so some are reported as 0 byte due to this bug.
          + right mouse click on close will move application into tray.


  v1.7.8: [ 23.12.2017 ]
          * OK-folder creation used bytes instead of mbytes.
            - reported by manni and l00mit.


  v1.7.7: [ 23.09.2017 ]
          + new time (s) column for summary tab.
          + scrollboxes are handling mousewheel events now, too.
          * information loss on russian language file.
          * BrowseForFolder dialog was locked within users directory somehow.
          * some changes were necessary for winxp users (font issues).
          * sha-type was added with  sfv-extension, too: so there was wrong out-
            put!
            - reported by several people.
          ! you can't add  additional extensions to checksum  types if this they
            already used for other types to avoid irritations (see issue above).


  v1.7.6: [ 23.07.2017 ]
          + support for RipeMD128, RipeMD160, Tiger192, MD4 and HAVAL256.
          * some  cosmetics  on  layout, scrollboxes  added  for  settings,  so
            smaller formsize is possible now.
          * unchecked checksum filetypes got checked anyway.
          * scrolling of progress was imprecise.
          * dropping folders one after another on progress tab didn't start the
            progress correctly.


  v1.7.5: [ 23.06.2017 ]
          * crash when canceling file creation/checking.
            - reported by Göran.


  v1.7.4: [ 23.05.2017 ]
          # additional menuitems for help-files like in jane.
            - requested by smaragdus.
          + pausing possible after file/checksumfile on completion, to be able
            to e.g. remove an external hdd and resuming later.
          + ability to set the progress back to OK in case of missing/bad files
            (acknowledged by user), to see if there are new events raised mean-
            while.
          # "move bad files" additionally.
            - requested by bobby m.
          # copy checksum/launch file/open folder and file location.
            - requested by andrew.
          * some unicode/non unicode file issues, sometimes check was not done.
            - reported by several people.


  v1.7.3: [ 23.11.2016 ]
          * the extension skiplist is more idiot-/bulletproof now.
            - reported by Göran.
          + autodelete of folders possible, too now (e.g. sample).
          * autodelete didn't work properly in included subdirs.
          + autodelete now working when creating checksum files, too.
          + autodelete will remove hidden files, too.
          * possible crash on startup when sending parameter string(s).
          * when unicode  was  off  the files  were ascii  instead  of  ansi, so
            e.g. german "special" chars  got lost. some  irritations when check-
            sum files did contain special chars within e.g. comments solved.
            - reported by Göran.
          # support for sha256/sha512-files.
            - requested by smaragdus.


  v1.7.2: [ 23.07.2016 ]
          * calculated total time was wrong when using explorer's context menu.
            - reported by Kopejkin.
          + russian language support.
            - contribution by Kopejkin.
          * unc paths were not recognized correctly.
            - reported by some user.
          * server  paths \\  were  not correctly  parsed,  bug introduced  when
            adding support for ultralong filenames in previous version.
          * sort order on bad/missing files tabsheet was randomized on scan.
          * ultralong filenames were not supported when creating a checksum
            file.
          * language contact links were not working correctly.
          + polish language support.
            - contribution by pan3o.


  v1.7.1: [ 23.05.2016 ]
          # add RekSFV directly to explorer's context menu (create or check).
            - requested by -L--.
          ! menuitems instead of speedbuttons for these registry functions.
          # a RegEx box  to enter a  regular expression for  every checksum file
            for lines to be treated/deleted as a comment.
            - requested by Göran.
          * size of visible columns checklistbox was wrong due to anchors.
          * supporting ultra long filenames now.
            - reported by Juan.
          * problem with checksum files which had CRs within.
            - reported by Göran.
          * problems with unicode chars within checksum files.
            - reported by UnknownDJ.


  v1.7.0: [ 23.03.2015 ]
          # "copy" function added, not just move.
            - requested by Torsten.
          ! switched from Delphi7 to Delphi XE2.
          + chinese language support.
            - contribution by Wander Max.
          # not using msi console but system font as default.
          # installer now uses current RekSFV supported languages, too.
            - all requested by Wander Max.


  v1.6.6: [ 23.06.2014 ]
          * fixed drag'n drop functionality when running windows 8.
            - reported by Ayla (when using nG!, same issue here as well).
          ! quite slow routine for  huge checksum files,  since trying to remove
            duplicates, significantly optimized now.
            - reported by still-the-same-guy.


  v1.6.5: [ 23.03.2013 ]
          * "warning in case filecount of folder is different from checksumfile"
            will include missing files in output.
          * good  file count/size  was  not calculated  correctly  when doing  a
            recheck in any case.
            - both reported by Göran.
          * changing sha1/md5 checksum files  destination when creating them did
            result in wrong checksum lines.
            - reported by Robert.


  v1.6.4: [ 23.09.2012 ]
          * empty directories were not added correctly to the summary list.
          * non correct listviews with window's text size > 100%.
            - reported by gratus.
          # ability to prevent system's sleep mode if needed.
            - requested by gratus.
          * handling hksfv md5 files (without asterisk in front of filename) now
            properly, as well as working properly for files with spaces in these
            declarations.
            - reported by a33.


  v1.6.3: [ 23.05.2012 ]
          * dropping directories  to summary  tab didn't function  properly when
            a folder with checksum subfolders was dropped.
            - reported by Göran.
          # all "move folders" operations have a submenu with the last 10 target
            folders listed, each operation show it's own last one as default, so
            double clicking the parent  menu will already do  the trick, without
            the need to select a folder each time,
            - requested again by (you might have guessed it) göran.
          # updatemessagebox isn't blocking main thread anymore,
            - requested by enigma.
          * tooltips over checksum/has summary's first column was not refreshed.
          + autodelete will  only delete  the files in  case there  were neither
            failed nor missing files.
          * due to the minimum size of reksfv's main window win7's right docking
            feature positioned the form at the middle of the screen, leaving the
            min/close buttons in the invisible area. not our fault, we're fixing
            the desired position in this case, though.
          * sfv-list's selection could be changed while running,
            - reported by Göran.


  v1.6.2: [ 23.01.2012 ]
          # when a check has warnings the corresponding entry in the sfv-summary
            tabsheet will be colored in yellow.
          # you can define  your own additional  extension for each  type, to be
            able to treat .txt files as .md5 checksum files if needed.
          # ability to  drag'n drop sfv  files to  the checksum tabsheet,  to be
            able to check all.
          # you can move more than one item at once on the summary tab now.
          # new feature to "(Re)Scan All Entries".  will look for sfv's and read
            them without checking the  content, to be  able to see  if all files
            are valid.
          # new column to see if checksum file got stripped.
          # when colorizing a column you can add several strings, divided by a ;
            to be able to search for more than one.
            - all requested by Göran.
          * if an already checked  folder is moved and  you're running the check
            again then the log will  show a line  as well as  the entry will get
            the correct icon.
          * you could add an extension to the skiplist without the . as prefix.
          * strip comments from file via context menu was not working anymore.
          * recheck  didn't  work properly  for  the  folder that  progress  was
            cancelled on.
          * after aborting a check the corresponding folder was locked, this has
            been fixed for all supported types.
            - all reported by Göran.
          * a gdi problem when running for a long time with a toggling trayicon.
          * default: user's settings stored  in userprofile directory instead of
            the programfolder (for new installations!).
          # you can automatically create  a file/folder in  case a directory has
            been successfully tested.
          # Select "Good Folders Without Warnings" possible, in case you need to
            make a difference here.
          # duplicated lines in the checksum file are now ignored.
             - all requested by HooPER.
          * buttons for creating .sfv/.md5/.sha1 did only create sfvs, while the
            menuitems were working correctly.
          + new column to see how many files have been (auto)deleted.
          * "select folder/file" dialog didn't support unicode yet.
          * a single instance and double clicking sfv issue (path problem) which
            resulted in a "Counting Files: 0 Checksum/Hash File(s) Found."-error
            message.
            - reported by enigma.


  v1.6.1: [ 23.10.2011 ]
          # "Delete All Bad Folder(s) (Into Recycle  Bin)", this will select all
             folders with bad/missing files and delete them into recycle bin.
             - requested by HooPER.
          + you now can  select items in  the autodelete  and skiplist listboxes
            and hit the delete key.
          * all editcontrols now accept the delete key.
          # autodeleting files will give a warning line with an info icon, since
            this is not a  "real" warning but  you can  more easily see  it as a
            special info line.
          * you can now add autodelete-items which don't have an extension, this
            was disabled before.
          + "recheck a limited number of random folders". so drag n drop all the
            directories of e.g. external drives to  the checksum tab, and select
            this function to random check some directories ...
          * faster list handling when using the recheck routine.
          * recheck failed items did add even correct files to the bmf-tabsheet.
          * sfv summary buttons were not correctly initialized when using drag n
            drop here.
          ! changed  sfv/md5/sha1-create buttons  from  TButton to  TToolbutton,
            using icons instead of text due to repaint problems under windows7.
          # when using dragn'drop to the  sfv-summary tabsheet you can decide to
            clear the list before adding new items and not to add duplicates.
            - requested by Göran.
          * .sfv/.md5/.sha1-addfiles dialog can  be closed by  pressing ESC now,
            too.
          * sfvlist is disabled while  checking selected items now, to avoid in-
            consistences.
          * the position of the & operator in swe/ger language files.
          * checksumfiles count issue when checking from summary tab.
          # announcing checksumfiles that might be corrupt (no checksum in lines
            without a commentchar).
            - requested by HooPER.
          * incomplete sfvs were not added to checksum summary tab correctly.
            - detected by HooPER.
          # you can move items on the summary tab with ctrl+up/down now.


  v1.6.0: [ 23.07.2011 ]
          * not all bad files were correctly added to the "Bad & Missing Files"-
            tabsheet since the last version.
          * rechecking all  failed  entries resulted  in an  errormsg  in german
            (gleitkommadivision durch 0),  the  silent update  routine  from the
            previous version has been rewritten.
            - reported by Göran.

  v1.5.9: [ 23.06.2011 ]
          # additional option for handling bad  file(s): do nothing, rename them
            into filename.bad or simply delete them right after checking.
            - requested by Charles.
          * fixed a bug when selecting more  than a single folder on sfv summary
            tab and trying to delete these folders to the recycle bin.
          * setting the color for  "colorize a line" didn't  result in a colored
            TPanel on Win7.
          # no random string when saving logfile, using datetime instead.
          # added the option "Don't Include Hidden Files/Folders While Checking"
            - both requested by Göran.
          * count of checked files wasn't corrent when rechecking failed ones.
          ! improved memory consumption.
          * improved handling of long filenames, avoiding a crash when trying to
            load the checksum file.
            - both issues reported by HooPER.
          * counting *.* for special column doesn't count . and .. anymore :)
            - reported by Eric.


  v1.5.8: [ 23.02.2011 ]
          + being not so conservative anymore when checking for comments, allow-
            ing more than '#' (md5/sha1) and ';' (crc) since some other programs
            seem to use ; for sha/md5, too.


  v1.5.7: [ 23.01.2011 ]
          ! changed compiler from d6 to d7 (kinda oldschool, though :) - the app
            got a  little bit  bigger  this way,  and  some  minor changes  were
            necessary. this was necessary for implementing the following:
          + added the win7 components  of gumpi, so the  progress is now visible
            in the taskbar.
          + option for autodeleting specific files while checking the sfv, e.g.
            to get rid of *.url's for example.
          + drag'n drop support for the edit/listbox fields in the settings tab,
            so you can drop files to add extensions, autodelete files and paths.
          ! less flickering on listview controls.
          * small fix for sha1 files with checksum separated by two spaces and
            filenames with 2 spaces, too.
            - this season's "weirdest bug" goes to abused, since he reported.


  v1.5.6: [ 23.09.2010 ]
          # when warnings AND errors occur, the trayicon will toggle now instead
            of announcing only the warning.
            - requested by göran.
          * a small memory problem, resulting in a ntdll.dll errormessage.


  v1.5.5: [ 23.08.2010 ]
          * cancelling "quit" on trayicon did not result in a resumed check.
          * some buttons were not  correctly enabled since  we added the create-
            ones at runtime the wrong way.
          * more precise calculation of sfv/total, was  wrong in some cases when
            the file was accessed, resulting in a down/up of the bars.
          * create buttons were  not disabled when a  check/creation was already
            running.
          + you can now (re)create all 3  kinds of currently supported checksum-
            types: sfv/md5 and sha1.
          * forgot to fix ComCtrls.pas when changing the OS, so the hiding/show-
            ing of columns didn't work correctly in previous version.
          * when moving directories the dialog isn't showing files anymore.
          # compatible for checking checksum files generated by "sha1sum", which
            seems to use "  " instead of " *" for separating checksum from file-
            name.
            - requested by abused.


  v1.5.4: [ 23.05.2010 ]
          * when rechecking failed files no  announce of "previously checked ok"
            in case users did edit the checksum files manually (missing files).
          # extension .sha supported, too.
          # possibility to strip  comments from sfv  file(s) on  request, and to
            strip them automatically on check.
            - requested by Göran.
          # new buttons in toolbar for creating checksum files,
            - requested by abused.
          * sorting of sha1/md5 files, not by checksum anymore.


  v1.5.3: [ 23.01.2010 ]
          # mew option to warn  the user if filecount of  the directory does not
            match filecount given in the checksumfile.
          # lines with a warning will now have a yellow line in the log.
            - both issues requested by göran.
          * the skiplist types control now is a tnt unicode control, too.
          ! better status  of controls  while a  check is  running and  they are
            disabled.
          ! compatibility mode  for hksfv  md5 files  which  do not  contain the
            delimiting * char in front of the path-/filename.
          ! application not stealing  focus after drag 'n drop and  being in the
            background, instead  application will  flash  in  tray after  having
            finished the current check - additionally beeping (optional, default
            is OFF) if needed.
          + "Checksum Summary" and "Bad/Missing" tabsheets now have tooltips for
            columns and their content but these tooltip can be turned off if not
            needed.


  v1.5.2: [ 23.11.2009 ]
          * fixed md5 calculation for files > 500mb, since "MapViewOfFile" fails
            here, using TStream instead now.
          * previous versions did not  add files in case they  were located in a
            single hidden (sub)directory  or  folders with  a dot  in  front, so
            explorer's filecount of the folder  "C:\Windows\" was different from
            RekSFV's filecount (e.g.  the folder    "Installer\$PatchCache$" was
            skipped).
            - thanks to Robin for reporting both issues.
          + adding the errorreason to the log when creating checksum files.
          + adding the files that couldn't be  accessed to the bad/missing files
            tabsheet when creating checksum files now, too.
          * cancelling the creation of checksum files didn't result in a correct
            trayicon.


  v1.5.1: [ 23.10.2009 ]
          # new option to always prompt for  a filename when creating a checksum
            file.
          * automatically generated  filename wasn't  correct in case  dots were
            used in the path.
          + every checksum type now has it's own skiplist properties.
          + "Select Directory" will start with the latest used path, the "Create
            Checksum File(s) dialog will do the same for each type.
          # save the mad/missing filename tabsheet's content, and load it again.
          # "copy all columns" will copy all selected rows and not only one into
            the clipboard. if none is selected then all rows will be copied.
            - both issues requested by genetix.


  v1.5.0: [ 23.09.2009 ]
          + added one new column to "Checksum/Hash Summary": checksum filename.
          + added 2 new columns to "Bad/Missing Filenames": the expected and the
            calculated CRC/Hash (eCRC vs. cCRC).
          + additional popupmenu entry to be able to copy each column's content.
          ! changed some properties of TListview due to some vista problems.
          * comments were incorrectly added to sha1/md5 files.
          + new shortcuts to copy all columns content.
          * correct warning sign in tray when no sfv's found or found sfv didn't
            have a valid content.
          # all the "Checksum/Hash Summary"  and "Bad/Missing Filenames" columns
            can now be hidden if not needed, the chosen size of the columns will
            be saved and restored, as well as you now can swap all the columns.
          # a paused application will have a different trayicon.
          # "(Re)Create SFV File(s)" available for the public. dragndrop folders
            to the second tabsheet, and hit this to let RekSFV create all check-
            sum files for the dropped folders.
          # "select folder" is now  "select folder/file", so  you can add single
            files now, too. drag 'n drop supported as well.
            - requested by Göran.
          + set task priority: idle, normal, high.
          + new languages: german, swedish.
          ! "Delete Selected Bad File" is now "Delete Selected Bad File(s)".
          # "Allow Multiple Instances" is now optional, you can turn it off.
            - requested by enigma.
          + accepting .crc files as sfv/crc32 files now, too.
          * preventing "hide to tray" when dialogs are shown.


  v1.4.6: [ 23.06.2009 ]
          + CTRL+A now selects all (depending on ActiveControl).
          * recheck counter now working correctly.
          * "recheck all failed" function failed sometimes (skipped checking).
          * "copy filepath+filename" did copy the filename into clipboard twice.
          * comments in sfvs  now contain the  path (in  case subdirectories are
            included).
          + some minor cosmetics.


  v1.4.5: [ 23.05.2009 ]
          ! optimized usage of the TToolbuttons in all 3 tabsheets.
          + more buttons for summary and bad/missing files tabsheets.
          + you can remove the files from the "Bad/Missing" tabsheet.
          + renaming of missing files additionally gives a result dialogbox now.
          * comments for unicode filenames haven't been saved as unicode.
          * unicode foldernames  resulted in  an errormsg when  trying to  add a
            comment.
          * minimizing when starting minimized did not correctly minimize to the
            tray.
          # added the "Always On Top" mode, toggle via CTRL+T.
          # you can now colorize a summary line when a column contains or misses
            a value (sfv summary tabsheet).
          * correct drag n drop  cursor when trying to add  a file/folder when a
            task is already in progress.
          + "Try To Find And Rename Missing  File(s)" now supports "Yes To All",
            which suppresses the messagedialog.
          ! "Recheck All Failed" will only recheck failed/missing files instead
            of all files again.
          + you can add RekSFV to  the registry (App Paths),  to be able e.g. to
            type "reksfv" on the "run ..." command.


  v1.4.4: [ 23.04.2009 ]
          + you can now sort the Missing/Bad Files list, additionally the file's
            extension now is listed.
          + "Open Folder"  already available  on "Bad/Missing  File(s)" tabsheet
            when a check is still running.
          + set RekSFV to open/edit sfv files with any app you want, not limited
            to notepad.exe anymore. get bonuspoints when pointing to jane.exe :)
          ! already edit/fix .sfv files while the check is still running (on own
            risk).
          + you now additionally can edit sfv files from the "Bad/Missing Files"
            tabsheet.
          # added the ability to add comments  to the (.sfv) files, with all the
            size(s), date(s), time(s) and filename(s).
          # divided  "Autoclose  After  Creation/Check  Reports  OK"  into   two
            actions, so you now can choose to  close after check reports ok, but
            not afterwards a creation.
          # added the ability to remove explorer context menu entries.
          * rechecking all folders  might have closed RekSFV  when the autoclose
            option was set ON.
          # added a "delete selected folder(s)" on sfv summary's tabsheet popup-
            menu.
          # added a "SpC" column, which holds the number of files/folders inside
            current directory, so you might want to  configure it to count *.jpg
            files. foldernames are possible, too.
          ! to avoid  too much  memory comsumption  the  program will  be paused
            after reaching a  total of 5000  entries, giving the  possibility to
            clean up the results as needed and continue checking afterwards.
          + "Try To Find And Rename Missing  File(s)". this will look in current
            directory for a (shortened)  file, you can  rename it  with a single
            click now.


  v1.4.3: [ 23.03.2009 ]
          # added the  ability to move  folders with  corrupt  file(s) to  a new
            target of your choice.
          + faster startup.
          * shortcuts from subtoolbars and popupmenus  were not working again in
            general, fixed now.
          * comments on .md5/.sha1 files were not discarded when being parsed.
          * "Recheck Failed  Entries" did  not correctly  set all  need internal
            variables.
          + ability to "Select Good Folders",  "Select Bad Folders", "Select All
            Folders" and  "Select  Random  Folders" at  the  sfv-summary  page's
            context menu.


  v1.4.2: [ 23.02.2009 ]
          + "Skip 0 Byte Files" option, this  will skip adding these to a check-
            sum file.
          + now additionally supporting SHA1.
          # Groupbox for setting the  registered filetypes. when checked, double
            clicking a .sfv/.md5/.sha1 file will start RekSFV.
            - requested by enigma.
          # trying to use single lined sha1  and md5 files, assuming the desired
            filename is the sha/md5  file without it's own extension, like those
            used by some opensource projects.
            - requested by enigma, too.


  v1.4.1: [ 23.12.2008 ]
          # RekSFV now able to automatically check for a new version.
          * rechecking folders didn't correctly calculate total progress.
          * recreating .sfv didn't correctly update current entry's icon.
          * small nsis setup changes for a  better installation on vista for new
            users, creating the default .ini file, forwarding the storage of all
            settings in %APPDATA% instead of RekSFV's programfolder.
          ! installer now using application's icon.


  v1.4.0: [ 23.11.2008 ]
          # ability to create  .sfv/.md5 files. choose  an entry  from the menu,
            drag 'n drop  folders or send  a folder  to RekSFV via  the explorer
            context menu. you can add these links  to your explorer context menu
            if needed (go to "Settings > Copy&Context  > Extra"). a skiplist can
            be used to avoid adding  not needed/wanted files  in your sfv's. the
            auto  close  feature  will  work   here  too,  after  creating  your
            .sfv/.md5 file(s).
          ! md5 algorithm is about 2x faster now.
          * a wrong "md5" in caption when doing an sfv-check.
          ! optimized update of statusbar/icon when checking md5s a bit, so it's
            faster now.
          + unicode support (using  the tntunicode controls/units).  you now can
            open or create  checksum files  with  unicode filenames  and unicode
            content. if output should  be unicode then check  the checkbox "Save
            Checksum Files  As Unicode".  otherwise  they'll  be  saved in  ANSI
            (except files with unicode names have been found while adding them).
            additionally you'll get a warning message/icon.
          ! the crc32 algorithm  is faster, too:  using the  crc32.pas code from
            Andre "Carlos" Morales-Bahnik.  as well  as some code  was optimized
            (refresh issues, which were slowing down the calculation a lot).
          ! cancelling drag'n drop via ESC will not close RekSFV anymore.
          ! removed TTreeView used for the list  of bad and missing files (speed
            issues), using a TListView instead.  RekSFV is now noticeable faster
            on large checksum files.
          ! limiting progress output, avoiding an infinite memory usage.
          ! including the xp manifest resource, so  RekSFV should now better fit
            to your system's style.
          + "Quit On Escape" is optional now, you can turn if off on "Settings"-
            tabsheet.


  v1.3.0: [ 23.08.2008 ]
          # new option "Copy Foldername  Only To Clipboard"  when trying to copy
            the file-/folderinformation.
          + now supporting MD5 files as well.
          ! faster indexing of files, noticeable on large checksum files.
            thanks to freerider for the inspiration.
          + "File Properties" available in  context menu on "Checksum&Bad Files"
            tabsheets, too.


  v1.2.0: [ 01.01.2008 ]
          # empty folders are listed with a  "x"-folder icon and 0-0-0-0 in sfv-
            summary as well,  indicating  that there  might be  an .sfv missing.
            the context menu and  TToolbar now offers  "Remove Folder(s) Without
            SFV-File(s) From List" from sfv-summary additionally.
            - requested by quicky.
          + added TToolbars to "progress & log   output", "sfv summary" and "bad
            & missing filenames" tabsheet.
          - removed "Edit" menu-entry, since we now  have buttons and a context-
            menu on all tabsheets.
          * an exception when trying to recheck failed folders in some cases.
          * correct OnDrawItem routine now on failed folders in sfv-summary.
          + a (maybe) needed vista addition: you   can edit your RekSFV.ini file
            [RekSFV]
            IniLocation=%APPDATA%
            with this set, RekSFV  will store settings in  the following folder:
            "YOURDOCUMENTS\PROFILE\APPDATA\RekSFV". xp  users  can  do  this  as
            well if needed (hint: "roaming user profile").
          * correct startup form  position, when using it  on secondary monitors
            on multimonitor systems.
          + ability to sort the sfv-summary.
          + ability to save the sfv-summary, and load it again.
          * correct termination of checking when recheck routine was triggered.
          + ability to recheck all folders, not only failed or selected entries.
          + counting sizes (in mb) for good/bad files in sfv-summary as well.
          * "Rescan Last Directory" (a wrong cd.. was done before) after "Select
            Directory".
          # "Copy Dir/Filename To Clipboard" on "SFV-Summary" and "Bad&Missing"-
            tabsheets. choose between 3 formats (see "Settings" tab).
            - requested by enigma.
          + pausing timer when halted, so calculated times are correct now.
          # no autoscrolling when manually moved the vertical scrollbars or used
            the mousewheels on "Progress & Log" and "SFV Summary" tabsheets.
            - requested by enigma.
          # new option: application saves and restores the last active page on a
            restart. if you don't like this: you now are able to decide which of
            the tabsheets should be always visible on start.
            - requested by enigma.
          + shortcuts.nfo, changed some of the shortcuts. CTLR+ALT+ now used for
            all functions on the "Bad &  Missing Files" tabsheet, SHIFT+ALT+ now
            used for all functions on the "SFV Summary" tabsheet.
          + both TStatusbars (details and progress) now show tooltips.


  v1.1.0: [ 18.10.2007 ]
          + shortcuts SHIFT+ALT+O  for  "Open Folder",  SHIFT+ALT+R  for "Remove
            GOOD Folder(s) From List" on "SFV Summary" tabsheet.
          + additionally showing "Files"count on the same tabsheet.
          + "Recheck All   Failed" possible  now, so  all failed can  be checked
            again. combined with  the  "Remove  GOOD Folder(s)  From List"  this
            might be a useful feature.
          + "Recheck Selected" and "Recheck  All Failed" don't reset the summary
            and all entries will stay there. rechecked items will be updated.
          + progress info on form's caption as well.
          ! support for files to be checked  which are > 2GB.progress/sizes were
            not correctly calculated before (filesizes > 2147483647 bytes).
          * same shortcuts for "Recheck  Selected"  and "Rescan  Last Directory"
            removed, now "Recheck Selected" has CTRL+SHIFT+R.
          * correct "Current Directory" string in statusbar when rechecking.
          + hottrack on "SFV Summary", as well as double clicking opens selected
            folder.


  v1.0.7: [ 29.08.2007 ]
          * update announce got corrupted somehow in yesterday's release.
          + "Remove GOOD Folder(s) From List"  on "SFV Summary" tabsheet,so only
            bad/incomplete ones remain  for a  better overview. use  the context
            menu entry for this new feature.
          ! correct "search" icon when  checking a folder  on "SFV Summary" tab-
            sheet, this has been a "questionmark" before.


  v1.0.6: [ 28.08.2007 ]
          * "if FileExists()" function  failed in some cases  of file date/time,
            which resulted in an "open  file" dialog box and  the file could not
            be loaded.


  v1.0.5: [ 20.05.2007 ]
          + "Delete Folder" available now.
          ! autosizing progress bar panels now, too.


  v1.0.4: [ 24.03.2007 ]
          * rescan last dir not possible under any circumstances.
          * the default entry "show/hide" might not be seen under vista.


  v1.0.3: [ 09.02.2007 ]
          * "autoclose after check OK" not working correctly for .sfv files.
          + a more detailed sfv and total progress information.
          + "Copy To Clipboard" of "Progress & Log Output" possible.


  v1.0.2: [ 09.01.2007 ]
          * pause did consume way to much cpu, fixed.
          * a halted program could not be terminated until unpaused.


  v1.0.1: [ 01.01.2007 ]
          ! more detailed filesize output.
          + more detailed sfv parse info (duplicates).
          + considering sfv count change during a sfvcheck.
          + sfv-progress  tabsheet  with summary  of  sfv/total/good/bad/missing
            files.
          ! program "remembers" last active tabsheet.


  v1.0.0: [ 13.10.2006 ]
          + dropping an sfv file will scan this sfv file only instead of all sfv
            files found in the same directory. if this is still needed then drop
            drop the directory.
          * drag'n dropping directories during an sfv check raised exceptions.
          ! correct log output when  the user aborts  sfv-check (reported as bad
            before).
          * check of 0 byte files raised an exception before.
          * clearing the log while crc checking raised an exception before.
          + "Hide To Tray" feature.
          + "Application Starts Minimized" feature.
          * the icon for folders with missing files was not correct.
          * tree of  bad/missing  files wasn't  correctly created  all  the time
            (subdirectory issue)
          * forgot to do a CloseFile(f), so  sfv's were blocked until RekSFV was
            terminated.
          + detailed time consumption logging for file/sfv/total.
          + detailed filesize logging for file/sfv/total.
          + application can be halted, you can toggle this from tray or menu.
          ! available for the public, enjoy!


  v1.0.0: [ 30.09.2006 ] - BETA
          ! replaced TRichedit with  a Listview, added icons  to entries instead
            of coloring rows only.
          * fixed an issue with empty lines in sfv's.
          * "Delete All" function wasn't properly working since the nullchar was
            missing ;)
          * tree of bad files wasn't correctly created all the time.
          + Edit menu and popupmenu on the Treeview tabsheet with "Open Folder",
            "Delete File" and "Delete All Files".
          + missing files counter.
          + more detailed progress information.
          + "Save Log" option.
          + "Rescan Last Directory" option.
          + Quit On Escape.
          + statusbar for file/sfv/total  progress info, you  can choose between
            a progressbar or textoutput here.
          + "AutoClose After SFV-Check Reports: OK" feature.
          + dynamically painted progress trayicon while running.
          + shortcuts for almost all menutimens.
          ! not available for the public.


  v0.9.1: [ 24.09.2006 ] - BETA
          + Application.Processmessages while calculating CRC32.
          + progress info in statusbar while calculating CRC32.
          + ability to create  an extra "Send  to RekSFV"  explorer context menu
            item.
          + ability to delete all failed files with one click.
          + treeview list for all failed files.
          ! not available for the public.


  v0.9.0: [ 22.09.2006 ] - BETA
          ! base version, drag'n drop directories to check all sfv's found.
          ! not available for the public.
